[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# GIT 저장소 제공안내

이곳은 `홍쓰넷(www.hongsnet.net)` 회원에게 제공되는 GIT 저장소 입니다. 이 저장소를 사용하려는 회원은 전제조건이 붙습니다. 아래의 `가입조건`을 참조하시기 바랍니다.

> https://git.freehongs.net


# GIT 이란

`깃(Git /ɡɪt/)`은 컴퓨터 파일의 변경사항을 추적하고 여러 명의 사용자들 간에 해당 파일들의 작업을 조율하기 위한 분산 `버전 관리 시스템`이다. 소프트웨어 개발에서 소스 코드 관리에 주로 사용되지만, 어떠한 집합의 파일의 변경사항을 지속적으로 추적하기 위해 사용될 수 있다. 기하학적 불변 이론을 바탕으로 설계됐고, 분산 버전 관리 시스템으로서 빠른 수행 속도에 중점을 두고 있는 것이 특징이며 `데이터 무결성, 분산, 비선형 워크플로를 지원`한다.

참조 URL : [위키백과](https://ko.wikipedia.org/wiki/%EA%B9%83_(%EC%86%8C%ED%94%84%ED%8A%B8%EC%9B%A8%EC%96%B4))

# GIT을 통한 효율성 

- [ ] `FTP/SFTP`와 같이 단일 환경에서의 개발을 통한 버전관리의 어려움을 최소화할 수 있습니다.
- [ ] 분산 버전관리 시스템이기 때문에 집/회사/등의 PC에서 개발한 데이터를 최신으로 동기화할 수 있습니다.
- [ ] (홍쓰넷추가지원) GitLab DevOPS 툴 제공에 따른 웹 인터페이스 등을 지원

# GIT 저장소 이용제한

- `git.freehongs.net` 저장소의 네트워크 속도제한(Bandwidth Limit)은 **30 Mbps** 입니다. 만약 특정 회원이 다량의 파일을 commit 후 push하게될 경우 접속/응답속도가 지연되는 영향을 받을 수 있습니다.
- 생성할 수 있는 프로젝트는 **회원당 1개**만 지원 됩니다.
- 프로젝트 restrict는 `private`만 가능합니다.
- 한 번에 push할 수 있는 `최대 용량은 200MB` 입니다.
- 저장소의 용량을 제한하거나 하진 않지만, 대용량을 사용하는 회원은 관리자의 판단에 따라 제제가 가해질 수 있습니다.
- **ssh**를 이용한 clone은 지원하지않으며, `https만 지원` (ssh 불가) 됩니다.


# GIT 저장소 가입조건

- 저장소 계정은 호스팅신청 시 기본적으로 제공되지않으며, **회원님이 별도로 요청**하셔야 합니다.
- **회원등급이 GOLD** 인 회원은 기본적으로 저장소를 사용할 수 있는 자격에 해당 합니다
- **회원등급이 일반**이지만, 개발에 필요할 경우라고 관리자가 판단한 경우에는 사용자격에 해당될 수 있습니다.


